#ifndef _PADDLE_
#define _PADDLE_


#include "MoveableEntity.hpp"


class Paddle : public MoveableEntity
{
public:
	Paddle(Game* g);

	void onInput(InputStruct Input) override;
	void onTouch(Entity* Toucher) override;
private:
	
};
#endif // _PADDLE_
